Bug 147003 - [RHEL3] telnetd cleanup() race condition with syslog in signal handler
Summary: [RHEL3] telnetd cleanup() race condition with syslog in signal handler
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: telnet   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-03 16:29 UTC by David Lehman
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-28 19:49:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:327 important SHIPPED_LIVE Important: telnet security update 2005-03-28 05:00:00 UTC

Description David Lehman 2005-02-03 16:29:35 UTC
*** This bug has been split off bug 145004 ***

------- Original comment by Jason Vas Dias on 2005.01.13 12:03 -------

Description of problem:
Telnetd can enter the logout(3) call in cleanup() 
via a signal handler, when the main program also
enters logout in cleanup(), resulting in self 
deadlock as the wtmp_lock is already held by
the process - see bug #143929 . 

Version-Release number of selected component (if applicable):

telnet-server-0.17-26

How reproducible:

If cleanup entered by main program when SIGCHLD handler
also in cleanup / logout, 100% .

Steps to Reproduce:
See bug #143929
  



Expected results:

telnetd should not be able to self-deadlock

Additional info:

See attached patch, contributed by  dlstevens@us.ibm.com , 
which fixed the issue.

Comment 1 Josh Bressers 2005-03-28 19:49:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-327.html



Note You need to log in before you can comment on or make changes to this bug.